From 1dc83dba52be2618ddad6f39068d943075408af1 Mon Sep 17 00:00:00 2001
From: Anh <zenpoems@gmail.com>
Date: Sun, 16 Sep 2018 11:51:54 -0400
Subject: [PATCH] Additional error checking using ldd -d

---
 bin/zafl.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/bin/zafl.sh b/bin/zafl.sh
index c49d6cd..5e34228 100755
--- a/bin/zafl.sh
+++ b/bin/zafl.sh
@@ -123,6 +123,12 @@ if [ $? -eq 0 ]; then
 		echo Zafl: error: output binary does not show a dependence on the Zafl support library
 		exit 1
 	fi
+
+	ldd -d $output_zafl_binary | grep symbol | grep 'not defined' >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		echo Zafl: error: something went wrong in resolving Zafl symnbols
+		exit 1
+	fi
 else
 	echo Zafl: error transforming input program
 	exit 1
-- 
GitLab